Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.client.security
Class HashRealmResolver

    java.lang.Object
      org.mortbay.jetty.client.security.HashRealmResolver

All Implemented Interfaces:
  RealmResolver

    public class HashRealmResolver

extends java.lang.Object
implements RealmResolver

Constructor Summary
`HashRealmResolver()`

Method Summary
`void` | `addSecurityRealm(Realm realm)`
`Realm` | `getRealm(java.lang.String realmName, HttpDestination destination, java.lang.String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashRealmResolver

    public HashRealmResolver()

Method Detail

### addSecurityRealm

    public void addSecurityRealm(Realm realm)

### getRealm

    public Realm getRealm(java.lang.String realmName,
                          HttpDestination destination,
                          java.lang.String path)
                   throws java.io.IOException

  Specified by:
    `getRealm` in interface `RealmResolver`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.